import java.util.ArrayList;

public class User {
    private String name;
    private int score;
    private ArrayList<Card> userCards;

    /**
     * create a user
     */
    public User( String name){
        userCards = new ArrayList<>();
        score = 0;
        this.name = name;
    }

    /**
     * remove a card from user cards
     * @param card
     */
    public void addCard(Card card){
        userCards.add(card);
    }

    /**
     * remove a card from user cards
     * @param card
     */
    public void removeCard(Card card){
        userCards.remove(card);
    }

    /**
     * @return user name
     */
    public String getName() {
        return name;
    }

    /**
     * at the end of the game returns the score of user
     * @return score field
     */
    public int getScore() {
        for (Card card : userCards ){
         score += card.getScore();
        }
        return score;
    }

}
